## ros-foxy-jackal-msgs 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(jackal_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(std_msgs REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
   msg/Drive.msg
   msg/DriveFeedback.msg
   msg/Feedback.msg
   msg/Power.msg
   msg/Status.msg
   msg/StopStatus.msg
   srv/SetDomainId.srv
   DEPENDENCIES std_msgs builtin_interfaces
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-foxy-jackal-msgs (1.0.4-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 20 Apr 2023 04:00:00 -0000

ros-foxy-jackal-msgs (1.0.3-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 08 Feb 2023 05:00:00 -0000

ros-foxy-jackal-msgs (1.0.2-1focal) focal; urgency=high

  * Added SetDomainId service
  * Contributors: Roni Kreinin

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 02 Feb 2023 05:00:00 -0000

ros-foxy-jackal-msgs (1.0.1-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Fri, 14 Oct 2022 04:00:00 -0000

ros-foxy-jackal-msgs (1.0.0-1focal) focal; urgency=high

  * Updated all packages to 0.8.5.
  * Moved MCU messages to jackal_msgs
  * Fixed header message
    Removed COLCON_IGNORE
  * Version number and description
  * Set feedback frequency back to 50hz
  * Foxy updates
  * ROS 2 Port
  * Contributors: David V. Lu, Roni Kreinin, Tony Baltovski

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 27 Sep 2022 04:00:00 -0000

ros-foxy-jackal-msgs (0.8.1-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-foxy-jackal-msgs (0.8.0-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Fri, 23 Apr 2021 04:00:00 -0000

ros-foxy-jackal-msgs (0.7.5-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 24 Mar 2021 04:00:00 -0000

ros-foxy-jackal-msgs (0.7.4-1focal) focal; urgency=high

  * Bumped CMake version to avoid author warning.
  * Contributors: Tony Baltovski

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-foxy-jackal-msgs (0.7.3-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-foxy-jackal-msgs (0.7.2-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-foxy-jackal-msgs (0.7.1-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-foxy-jackal-msgs (0.7.0-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-foxy-jackal-msgs (0.6.4-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-foxy-jackal-msgs (0.6.3-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-foxy-jackal-msgs (0.6.2-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-foxy-jackal-msgs (0.6.1-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-foxy-jackal-msgs (0.6.0-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-foxy-jackal-msgs (0.5.4-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-foxy-jackal-msgs (0.5.3-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-foxy-jackal-msgs (0.5.2-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 10 Feb 2016 05:00:00 -0000

ros-foxy-jackal-msgs (0.5.1-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 02 Feb 2015 05:00:00 -0000

ros-foxy-jackal-msgs (0.5.0-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-foxy-jackal-msgs (0.4.2-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-foxy-jackal-msgs (0.4.1-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 07 Jan 2015 05:00:00 -0000

ros-foxy-jackal-msgs (0.4.0-1focal) focal; urgency=high

  * Add hardware string to Status message.
  * Contributors: Mike Purvis

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Fri, 12 Dec 2014 05:00:00 -0000

ros-foxy-jackal-msgs (0.3.0-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-foxy-jackal-msgs (0.2.1-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-foxy-jackal-msgs (0.2.0-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 09 Sep 2014 04:00:00 -0000

ros-foxy-jackal-msgs (0.1.1-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Sat, 06 Sep 2014 04:00:00 -0000

ros-foxy-jackal-msgs (0.1.0-1focal) focal; urgency=high

  * New jackal_msgs package.
  * Contributors: Mike Purvis

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Fri, 05 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-foxy-jackal-msgs
Section: misc
Priority: optional
Maintainer: Roni Kreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-builtin-interfaces, ros-foxy-rosidl-default-generators, ros-foxy-std-msgs, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-jackal-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-builtin-interfaces, ros-foxy-rosidl-default-runtime, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: Messages exclusive to Jackal, especially for representing low-level motor commands and sensors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-jackal-msgs//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
